Reporting¶
Operational reporting and settlement data.
Get Authorization Log Summary¶
POST
/api/Reporting/GetAuthorizationLogSummary
Request body¶
Schema: SummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
HierarchyFilterMode |
integer (int32) | Optional | — |
HierarchyFilterValue |
string | Optional | — |
ViewLevel |
integer (int32) | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetAuthorizationLogSummary' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"HierarchyFilterMode": 1,
"HierarchyFilterValue": "<hierarchy-filter-value>",
"ViewLevel": 1,
"CurrentPageIndex": 1,
"PageSize": 1,
"FromDate": "2026-01-31",
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetAuthorizationLogSummaryResponse |
Example response
{
"Result": [
{
"EntityType": "<entity-type>",
"PlatformId": "<platform-id>",
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"AuthorizationCount": 1,
"AuthorizationAmount": 10.0
}
],
"Total": {
"EntityType": "<entity-type>",
"PlatformId": "<platform-id>",
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"AuthorizationCount": 1,
"AuthorizationAmount": 10.0
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Card Summary¶
POST
/api/Reporting/GetCardSummary
Request body¶
Schema: GetCardSummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
BatchNumber |
string | Optional | — |
HierarchyFilterMode |
integer (int32) | Optional | — |
HierarchyFilterValue |
string | Optional | — |
ViewLevel |
integer (int32) | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetCardSummary' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"BatchNumber": "<batch-number>",
"HierarchyFilterMode": 1,
"HierarchyFilterValue": "<hierarchy-filter-value>",
"ViewLevel": 1,
"CurrentPageIndex": 1,
"PageSize": 1,
"FromDate": "2026-01-31",
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetCardSummaryResponse |
Example response
{
"Result": [
{
"CardType": "<card-type>",
"CardDescription": "<card-description>",
"SaleCount": 1,
"SaleAmount": 10.0,
"ReturnCount": 1,
"ReturnAmount": 10.0,
"NetAmount": 10.0
}
],
"Total": {
"CardType": "<card-type>",
"CardDescription": "<card-description>",
"SaleCount": 1,
"SaleAmount": 10.0,
"ReturnCount": 1,
"ReturnAmount": 10.0,
"NetAmount": 10.0
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Chargebacks Summary¶
POST
/api/Reporting/GetChargebacksSummary
Request body¶
Schema: GetChargebacksSummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetChargebacksSummary' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"MerchantNumber": "<merchant-number>",
"CurrentPageIndex": 1,
"PageSize": 1,
"FromDate": "2026-01-31",
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetChargebacksSummaryResponse |
Example response
{
"Result": [
{
"ReportDate": "2026-01-31",
"RecordID": 1,
"TransactionDate": "2026-01-31",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CardNumber": "<card-number>",
"ReferenceNumber": "<reference-number>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"Disposition": "<disposition>",
"CaseNumber": "<case-number>",
"RepresentedCBAmount": 10.0,
"TransactionAmount": 10.0
}
],
"Total": {
"ReportDate": "2026-01-31",
"RecordID": 1,
"TransactionDate": "2026-01-31",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CardNumber": "<card-number>",
"ReferenceNumber": "<reference-number>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"Disposition": "<disposition>",
"CaseNumber": "<case-number>",
"RepresentedCBAmount": 10.0,
"TransactionAmount": 10.0
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Chargebacks Detail¶
POST
/api/Reporting/GetChargebacksDetail
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetChargebacksDetailResponse |
Example response
{
"Result": [
{
"ReportDate": "2026-01-31",
"RecordID": 1,
"TransactionDate": "2026-01-31",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CardNumber": "<card-number>",
"ReferenceNumber": "<reference-number>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"Disposition": "<disposition>",
"CaseNumber": "<case-number>",
"RepresentedCBAmount": 10.0,
"TransactionAmount": 10.0
}
],
"Total": {
"ReportDate": "2026-01-31",
"RecordID": 1,
"TransactionDate": "2026-01-31",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CardNumber": "<card-number>",
"ReferenceNumber": "<reference-number>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"ReasonText": "<reason-text>",
"CBType": "<cbtype>",
"CBTypeDescription": "<cbtype-description>",
"Disposition": "<disposition>",
"CaseNumber": "<case-number>",
"RepresentedCBAmount": 10.0,
"TransactionAmount": 10.0
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Deposits Summary¶
POST
/api/Reporting/GetDepositsSummary
Request body¶
Schema: GetDepositsSummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetDepositsSummaryResponse |
Example response
{
"Result": [
{
"ReportDate": "2026-01-31",
"RoutingNumber": "<routing-number>",
"DDANumber": "<ddanumber>",
"TraceNumber": "<trace-number>",
"TransmissionDate": "2026-01-31",
"TransactionType": "<transaction-type>",
"TransactionTypeDescription": "<transaction-type-description>",
"TransactionCode": "<transaction-code>",
"TransactionCodeDescription": "<transaction-code-description>",
"DepositAmount": 10.0
}
],
"Total": {
"ReportDate": "2026-01-31",
"RoutingNumber": "<routing-number>",
"DDANumber": "<ddanumber>",
"TraceNumber": "<trace-number>",
"TransmissionDate": "2026-01-31",
"TransactionType": "<transaction-type>",
"TransactionTypeDescription": "<transaction-type-description>",
"TransactionCode": "<transaction-code>",
"TransactionCodeDescription": "<transaction-code-description>",
"DepositAmount": 10.0
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Batch Summary By Merchant¶
POST
/api/Reporting/GetBatchSummaryByMerchant
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetBatchSummaryByMerchant' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"MerchantNumber": "<merchant-number>",
"CurrentPageIndex": 1,
"PageSize": 1,
"FromDate": "2026-01-31",
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetBatchSummaryByMerchantResponse |
Example response
{
"Result": [
{
"ReportDate": "2026-01-31",
"TerminalNumber": "<terminal-number>",
"FileSource": "<file-source>",
"BatchNumber": "<batch-number>",
"KeyedPercent": 1.0,
"AvgTrans": 1.0,
"TransactionCount": 1,
"SaleAmount": 10.0,
"ReturnAmount": 10.0,
"PrepaidDiscount": 1.0,
"NetAmount": 10.0,
"KeyedCount": 1
}
],
"Total": {
"ReportDate": "2026-01-31",
"TerminalNumber": "<terminal-number>",
"FileSource": "<file-source>",
"BatchNumber": "<batch-number>",
"KeyedPercent": 1.0,
"AvgTrans": 1.0,
"TransactionCount": 1,
"SaleAmount": 10.0,
"ReturnAmount": 10.0,
"PrepaidDiscount": 1.0,
"NetAmount": 10.0,
"KeyedCount": 1
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Batch Summary By Entity¶
POST
/api/Reporting/GetBatchSummaryByEntity
Request body¶
Schema: SummaryRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
HierarchyFilterMode |
integer (int32) | Optional | — |
HierarchyFilterValue |
string | Optional | — |
ViewLevel |
integer (int32) | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetBatchSummaryByEntity' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"HierarchyFilterMode": 1,
"HierarchyFilterValue": "<hierarchy-filter-value>",
"ViewLevel": 1,
"CurrentPageIndex": 1,
"PageSize": 1,
"FromDate": "2026-01-31",
"ToDate": "2026-01-31"
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetBatchSummaryByEntityResponse |
Example response
{
"Result": [
{
"EntityType": "<entity-type>",
"PlatformId": "<platform-id>",
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"PrepaidDiscount": 1.0,
"KeyedPercent": 1.0,
"AvgTrans": 1.0,
"TransactionCount": 1,
"SaleAmount": 10.0,
"ReturnAmount": 10.0,
"NetAmount": 10.0,
"KeyedCount": 1
}
],
"Total": {
"EntityType": "<entity-type>",
"PlatformId": "<platform-id>",
"EntityId": "<entity-id>",
"EntityName": "<entity-name>",
"PrepaidDiscount": 1.0,
"KeyedPercent": 1.0,
"AvgTrans": 1.0,
"TransactionCount": 1,
"SaleAmount": 10.0,
"ReturnAmount": 10.0,
"NetAmount": 10.0,
"KeyedCount": 1
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Batch Detail¶
POST
/api/Reporting/GetBatchDetail
Request body¶
Schema: GetBatchDetailRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
BatchNumber |
string | Optional | — |
MerchantNumber |
string | Optional | — |
ReportDate |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
curl --request POST \
--url 'https://services.bmspay.com/api/Reporting/GetBatchDetail' \
--header 'Content-Type: application/json' \
--data-binary @- <<'JSON'
{
"BatchNumber": "<batch-number>",
"MerchantNumber": "<merchant-number>",
"ReportDate": "2026-01-31",
"CurrentPageIndex": 1,
"PageSize": 1
}
JSON
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetBatchDetailResponse |
Example response
{
"Result": [
{
"ReportDate": "2026-01-31",
"TransactionID": "unique-transaction-id",
"TransactionDate": "2026-01-31",
"TransactionTime": "<transaction-time>",
"TransactionCode": "<transaction-code>",
"TransactionDescription": "<transaction-description>",
"Keyed": "<keyed>",
"EntryModeDescription": "<entry-mode-description>",
"CardType": "<card-type>",
"CardDescription": "<card-description>",
"CardNumber": "<card-number>",
"AuthorizationNumber": "<authorization-number>",
"TransactionAmount": 10.0,
"RegulatedID": 1,
"DebitRoutingMethodID": 1,
"RegulatedIDDescription": "<regulated-iddescription>"
}
],
"Total": {
"ReportDate": "2026-01-31",
"TransactionID": "unique-transaction-id",
"TransactionDate": "2026-01-31",
"TransactionTime": "<transaction-time>",
"TransactionCode": "<transaction-code>",
"TransactionDescription": "<transaction-description>",
"Keyed": "<keyed>",
"EntryModeDescription": "<entry-mode-description>",
"CardType": "<card-type>",
"CardDescription": "<card-description>",
"CardNumber": "<card-number>",
"AuthorizationNumber": "<authorization-number>",
"TransactionAmount": 10.0,
"RegulatedID": 1,
"DebitRoutingMethodID": 1,
"RegulatedIDDescription": "<regulated-iddescription>"
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Retrievals Detail¶
POST
/api/Reporting/GetRetrievalsDetail
Request body¶
Schema: GetByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
CurrentPageIndex |
integer (int32) | Optional | — |
PageSize |
integer (int32) | Optional | — |
FromDate |
string | Optional | — |
ToDate |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetRetrievalsDetailResponse |
Example response
{
"Result": [
{
"ReportDate": "2026-01-31",
"TransactionDate": "2026-01-31",
"DateReceived": "2026-01-31",
"DueDate": "2026-01-31",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CardNumber": "<card-number>",
"ReferenceNumber": "<reference-number>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"RequestType": "<request-type>",
"TransactionAmount": 10.0
}
],
"Total": {
"ReportDate": "2026-01-31",
"TransactionDate": "2026-01-31",
"DateReceived": "2026-01-31",
"DueDate": "2026-01-31",
"CardType": "<card-type>",
"CardTypeDescription": "<card-type-description>",
"CardNumber": "<card-number>",
"ReferenceNumber": "<reference-number>",
"ReasonCode": "<reason-code>",
"ReasonCodeDescription": "<reason-code-description>",
"RequestType": "<request-type>",
"TransactionAmount": 10.0
},
"Paging": {
"CurrentPageIndex": 1,
"PageSize": 1,
"NumberOfRecords": 1
},
"ErrorMessages": {}
}
Get Merchant Statement List¶
POST
/api/Reporting/GetMerchantStatementList
Request body¶
Schema: FilterByMerchantRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
MerchantNumber |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetMerchantStatementListWithZones |
Example response
Get Merchant Statement¶
POST
/api/Reporting/GetMerchantStatement
Request body¶
Schema: GetMerchantStatementByZoneRequest
| Field | Type | Requirement | Description |
|---|---|---|---|
Zone |
string | Optional | — |
StatementId |
string | Optional | — |
MerchantNumber |
string | Optional | — |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | OK | GetMerchantStatementResponse |